package org.seasar.tapestry.ognl;

import java.util.Map;

import ognl.ObjectPropertyAccessor;

import org.seasar.tapestry.ognl.binder.Binder;

/**
 * @author Masataka Kurihara (Gluegent, Inc.)
 */
public class ListenersPropertyAccessor extends ObjectPropertyAccessor {
    
	public Object getProperty(Map cx, Object target, Object name) {
		if ( target instanceof Binder) {
			Binder binder = (Binder) target;
			return binder.getBinging(name.toString());
		}
		return null;
	}

}
